class Disease {
  String? msg;
  int? code;
  Data? data;

  Disease({this.msg, this.code, this.data});

  Disease.fromJson(Map<String, dynamic> json) {
    msg = json['msg'];
    code = json['code'];
    data = json['data'] != null ? new Data.fromJson(json['data']) : null;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['msg'] = this.msg;
    data['code'] = this.code;
    if (this.data != null) {
      data['data'] = this.data!.toJson();
    }
    return data;
  }
}

class Data {
  String? id;
  int? isDel;
  String? createDate;
  String? createUser;
  String? updateDate;
  String? updateUser;
  Null? tenantId;
  String? name;
  int? age;
  int? sex;
  String? docker;
  String? resource;
  String? patientId;
  String? url;

  Data(
      {this.id,
        this.isDel,
        this.createDate,
        this.createUser,
        this.updateDate,
        this.updateUser,
        this.tenantId,
        this.name,
        this.age,
        this.sex,
        this.docker,
        this.resource,
        this.patientId,
        this.url});

  Data.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    isDel = json['isDel'];
    createDate = json['createDate'];
    createUser = json['createUser'];
    updateDate = json['updateDate'];
    updateUser = json['updateUser'];
    tenantId = json['tenantId'];
    name = json['name'];
    age = json['age'];
    sex = json['sex'];
    docker = json['docker'];
    resource = json['resource'];
    patientId = json['patientId'];
    url = json['url'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['isDel'] = this.isDel;
    data['createDate'] = this.createDate;
    data['createUser'] = this.createUser;
    data['updateDate'] = this.updateDate;
    data['updateUser'] = this.updateUser;
    data['tenantId'] = this.tenantId;
    data['name'] = this.name;
    data['age'] = this.age;
    data['sex'] = this.sex;
    data['docker'] = this.docker;
    data['resource'] = this.resource;
    data['patientId'] = this.patientId;
    data['url'] = this.url;
    return data;
  }
}
